<?xml version="1.0" encoding="utf-8"?>
<WL5G3N0:definitions name="InboundSimpleConnectorService" targetNamespace="http://mtatec.dgt.ec.europa.eu/"
                     xmlns:WL5G3N0="http://schemas.xmlsoap.org/wsdl/" xmlns:WL5G3N1="http://mtatec.dgt.ec.europa.eu/"
                     xmlns:WL5G3N2="http://schemas.xmlsoap.org/wsdl/soap/">
    <WL5G3N0:types>
        <xsd:schema targetNamespace="http://mtatec.dgt.ec.europa.eu/types" version="1.0"
                    xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/"
                    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                    xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:tns="http://mtatec.dgt.ec.europa.eu/"
                    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xs="http://www.w3.org/2001/XMLSchema"
                    xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <xsd:complexType name="inboundSimpleProxyMessage">
                <xsd:sequence>
                    <xsd:element minOccurs="0" name="textToTranslate" type="xs:string"/>
                    <xsd:element minOccurs="0" name="documentToTranslate" type="xs:string"/>
                    <xsd:element minOccurs="0" name="priority" type="xs:int"/>
                    <xsd:element minOccurs="0" name="engineId" type="xs:string"/>
                    <xsd:element minOccurs="0" name="status" type="xs:string"/>
                    <xsd:element minOccurs="0" name="originalFileName" type="xs:string"/>
                    <xsd:element minOccurs="0" name="externalReference" type="xs:string"/>
                    <xsd:element minOccurs="0" name="requesterCallback" type="xs:string"/>
                    <xsd:element minOccurs="0" name="errorCallback" type="xs:string"/>
                    <xsd:element minOccurs="0" name="sourceLanguage" type="xs:string"/>
                    <xsd:element minOccurs="0" name="targetLanguage" type="xs:string"/>
                    <xsd:element minOccurs="0" name="targetTranslationPath" type="xs:string"/>
                    <xsd:element minOccurs="0" name="username" type="xs:string"/>
                    <xsd:element minOccurs="0" name="institution" type="xs:string"/>
                    <xsd:element minOccurs="0" name="departmentNumber" type="xs:string"/>
                    <xsd:element minOccurs="0" name="applicationName" type="xs:string"/>
                    <xsd:element minOccurs="0" name="domains" type="xs:string"/>
                    <xsd:element minOccurs="0" name="requestType" type="xs:string"/>
                    <xsd:element minOccurs="0" name="outputFormat" type="xs:string"/>
                </xsd:sequence>
            </xsd:complexType>
        </xsd:schema>
        <xsd:schema targetNamespace="http://mtatec.dgt.ec.europa.eu/" xmlns="http://www.w3.org/2001/XMLSchema"
                    xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:ns1="http://mtatec.dgt.ec.europa.eu/types"
                    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                    xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:tns="http://mtatec.dgt.ec.europa.eu/"
                    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <xsd:import namespace="http://mtatec.dgt.ec.europa.eu/types"/>
            <xsd:complexType name="asktranslation">
                <xsd:sequence>
                    <xsd:element name="arg0" type="ns1:inboundSimpleProxyMessage"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="asktranslation" type="tns:asktranslation"/>
            <xsd:complexType name="asktranslationResponse">
                <xsd:sequence>
                    <xsd:element name="return" type="xsd:string"/>
                </xsd:sequence>
            </xsd:complexType>
            <xsd:element name="asktranslationResponse" type="tns:asktranslationResponse"/>
        </xsd:schema>
    </WL5G3N0:types>
    <WL5G3N0:message name="asktranslationInput">
        <WL5G3N0:part element="WL5G3N1:asktranslation" name="parameters"/>
    </WL5G3N0:message>
    <WL5G3N0:message name="asktranslationOutput">
        <WL5G3N0:part element="WL5G3N1:asktranslationResponse" name="parameters"/>
    </WL5G3N0:message>
    <WL5G3N0:portType name="InboundSimpleConnectorService">
        <WL5G3N0:operation name="asktranslation">
            <WL5G3N0:input message="WL5G3N1:asktranslationInput"/>
            <WL5G3N0:output message="WL5G3N1:asktranslationOutput"/>
        </WL5G3N0:operation>
    </WL5G3N0:portType>
    <WL5G3N0:binding name="InboundSimpleConnectorServiceSoapHttp" type="WL5G3N1:InboundSimpleConnectorService">
        <WL5G3N2:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <WL5G3N0:operation name="asktranslation">
            <WL5G3N2:operation/>
            <WL5G3N0:input>
                <WL5G3N2:body use="literal"/>
            </WL5G3N0:input>
            <WL5G3N0:output>
                <WL5G3N2:body use="literal"/>
            </WL5G3N0:output>
        </WL5G3N0:operation>
    </WL5G3N0:binding>
    <WL5G3N0:service name="InboundSimpleConnectorService">
        <WL5G3N0:port binding="WL5G3N1:InboundSimpleConnectorServiceSoapHttp" name="InboundSimpleConnectorServicePort">
            <WL5G3N2:address
                    location="https://webgate.ec.europa.eu/MtatecOsbConnector/MtatecOsbConnector/InboundConnectorSimpleProxyService"/>
        </WL5G3N0:port>
    </WL5G3N0:service>
</WL5G3N0:definitions>